## com.baidubce
Class BceServiceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.baidubce.BceClientException
                      com.baidubce.BceServiceException

All Implemented Interfaces:
  Serializable

    public class BceServiceException

extends BceClientException

Extension of BceClientException that represents an error response returned by a BCE service. Receiving an exception of this type indicates that the caller's request was correctly transmitted to the service, but for some reason, the service was not able to process it, and returned an error response instead.

BceServiceException provides callers several pieces of information that can be used to obtain more information about the error and why it occurred. In particular, the errorType field can be used to determine if the caller's request was invalid, or the service encountered an error on the server side while processing it.

See Also:
  Serialized Form

Nested Class Summary
`static class` `BceServiceException.ErrorType` Indicates who is responsible (if known) for a failed request.

Constructor Summary
`BceServiceException(String errorMessage)` Constructs a new BceServiceException with the specified message.
`BceServiceException(String errorMessage, Exception cause)` Constructs a new BceServiceException with the specified message and exception indicating the root cause.

Method Summary
`String` `getErrorCode()` Returns the BCE error code represented by this exception.
`String` `getErrorMessage()` Returns the human-readable error message provided by the service.
`BceServiceException.ErrorType` `getErrorType()` Indicates who is responsible for this exception (caller, service, or unknown).
`String` `getMessage()`
`String` `getRequestId()` Returns the BCE request ID that uniquely identifies the service request the caller made.
`int` `getStatusCode()` Returns the HTTP status code that was returned with this service exception.
`void` `setErrorCode(String errorCode)` Sets the BCE error code represented by this exception.
`void` `setErrorMessage(String errorMessage)` Sets the human-readable error message provided by the service.
`void` `setErrorType(BceServiceException.ErrorType errorType)` Sets the type of error represented by this exception (sender, receiver, or unknown), indicating if this exception was the caller's fault, or the service's fault.
`void` `setRequestId(String requestId)` Sets the BCE requestId for this exception.
`void` `setStatusCode(int statusCode)` Sets the HTTP status code that was returned with this service exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BceServiceException

    public BceServiceException(String errorMessage)

  Constructs a new BceServiceException with the specified message.

  Parameters:
    `errorMessage` - An error message describing what went wrong.

### BceServiceException

    public BceServiceException(String errorMessage,
                               Exception cause)

  Constructs a new BceServiceException with the specified message and exception indicating the root cause.

  Parameters:
    `errorMessage` - An error message describing what went wrong.
    `cause` - The root exception that caused this exception to be thrown.

Method Detail

### setRequestId

    public void setRequestId(String requestId)

  Sets the BCE requestId for this exception.

  Parameters:
    `requestId` - The unique identifier for the service request the caller made.

### getRequestId

    public String getRequestId()

  Returns the BCE request ID that uniquely identifies the service request the caller made.

  Returns:
    The BCE request ID that uniquely identifies the service request the caller made.

### setErrorCode

    public void setErrorCode(String errorCode)

  Sets the BCE error code represented by this exception.

  Parameters:
    `errorCode` - The BCE error code represented by this exception.

### getErrorCode

    public String getErrorCode()

  Returns the BCE error code represented by this exception.

  Returns:
    The BCE error code represented by this exception.

### setErrorType

    public void setErrorType(BceServiceException.ErrorType errorType)

  Sets the type of error represented by this exception (sender, receiver, or unknown), indicating if this exception was the caller's fault, or the service's fault.

  Parameters:
    `errorType` - The type of error represented by this exception (sender or receiver), indicating if this exception was the caller's fault or the service's fault.

### getErrorType

    public BceServiceException.ErrorType getErrorType()

  Indicates who is responsible for this exception (caller, service, or unknown).

  Returns:
    A value indicating who is responsible for this exception (caller, service, or unknown).

### setErrorMessage

    public void setErrorMessage(String errorMessage)

  Sets the human-readable error message provided by the service.

  Parameters:
    `errorMessage` - the human-readable error message provided by the service.

### getErrorMessage

    public String getErrorMessage()

  Returns the human-readable error message provided by the service.

  Returns:
    the human-readable error message provided by the service.

### setStatusCode

    public void setStatusCode(int statusCode)

  Sets the HTTP status code that was returned with this service exception.

  Parameters:
    `statusCode` - The HTTP status code that was returned with this service exception.

### getStatusCode

    public int getStatusCode()

  Returns the HTTP status code that was returned with this service exception.

  Returns:
    The HTTP status code that was returned with this service exception.

### getMessage

    public String getMessage()

  Overrides:
    `getMessage` in class `Throwable`

Copyright © 2016. All rights reserved.